export interface useDateFormatter {
  date: (timestamp: number) => string | undefined
  datetime: (timestamp: number) => string | undefined
}

export default (): useDateFormatter => {
  const leftPad2Digits = (val: number) => val < 10 ? '0' + val : '' + val

  const date = (time: number): string | undefined => {
    if (!time) return

    const d = new Date(time * 1000)
    return `${d.getFullYear()}-` +
      `${leftPad2Digits(d.getMonth() + 1)}-` +
      `${leftPad2Digits(d.getDate())}`
  }

  const datetime = (time: number): string | undefined => {
    if (!time) return

    const d = new Date(time * 1000)
    return `${date(time)}, ` +
      `${leftPad2Digits(d.getHours())}:` +
      `${leftPad2Digits(d.getMinutes())}:` +
      `${leftPad2Digits(d.getSeconds())}`
  }
  return {
    date,
    datetime,
  }
}
