package application

import (
	"fmt"
	"net/http"

	"sirlab.de/go/knowyt/log"
	"sirlab.de/go/knowyt/user"
)

func (app *Application) CollectQuotes(usr *user.User, w http.ResponseWriter, r *http.Request) {
	gameRef := r.URL.Query().Get("g")
	gm, err := app.GetGameById(gameRef)
	if err != nil {
		w.WriteHeader(http.StatusNotFound)
		fmt.Fprintf(w, "game not found")
		return
	}

	if usr.GetGameId() != gameRef || !usr.IsGamemaster() {
		w.WriteHeader(http.StatusForbidden)
		fmt.Fprintf(w, "forbidden")
		return
	}

	gm.CollectQuotes()
	if err := app.saveGameState(gm); err != nil {
		log.ErrorLog(err)
		w.WriteHeader(http.StatusInternalServerError)
		fmt.Fprintf(w, "couldn't save game state")
		return
	}

	fmt.Fprintf(w, "ok")
}
