package application

import (
	"encoding/json"
	"path"
	"sirlab.de/go/knowyt/fileutil"
	"sirlab.de/go/knowyt/game"
)

func (app *Application) saveGameState(gm *game.Game) error {
	gameJson := gm.GetGameState()
	jsonString, errMarshal := json.MarshalIndent(gameJson, "", "  ")
	if errMarshal != nil {
		return errMarshal
	}

	filename := path.Join(app.config.DataDir, "games", gm.GetId(), "state.json")
	if err := fileutil.SaveFile(filename, jsonString); err != nil {
		return err
	}

	return nil
}
