package application

import (
	"fmt"
	"net/http"

	"sirlab.de/go/knowyt/log"
	"sirlab.de/go/knowyt/user"
)

func (app *Application) SetGameLang(usr *user.User, w http.ResponseWriter, r *http.Request) {
	gameRef := r.URL.Query().Get("g")
	gm, err := app.GetGameById(gameRef)
	if err != nil {
		w.WriteHeader(http.StatusNotFound)
		fmt.Fprintf(w, "game not found")
		return
	}

	if usr.GetGameId() != gameRef || !usr.IsGamemaster() {
		w.WriteHeader(http.StatusForbidden)
		fmt.Fprintf(w, "forbidden")
		return
	}

	lang := r.URL.Query().Get("lang")
	if err := gm.SetGameLang(lang); err != nil {
		w.WriteHeader(http.StatusInternalServerError)
		log.ErrorLog(err)
		fmt.Fprintf(w, "server error")
		return
	}
	fmt.Fprintf(w, "ok")
}
