package game

import (
	"sirlab.de/go/knowyt/log"
)

func (gm *Game) runFinal() {
	state, _ := gm.GetState()
	if state != STATE_IDLE && state != STATE_PLAY {
		log.Warn("%s expected state \"IDLE\" | \"PLAY\" != \"%s\"", gm.GetId(), state)
		return
	}

	err := gm.changeGameState(STATE_ANY, STATE_FINAL, PHASE_NONE)
	if err != nil {
		log.ErrorLog(err)
		return
	}

	gm.notifyClients()
}
