package game

import (
	"sirlab.de/go/knowyt/log"
)

func (gm *Game) runRound() {
	state, _ := gm.GetState()
	if state != STATE_IDLE && state != STATE_PLAY && state != STATE_COLLECT {
		log.Warn("%s expected state \"IDLE\" | \"PLAY\" | \"COLLECT\" != \"%s\"", gm.GetId(), state)
		return
	}

	err := gm.changeGameState(STATE_ANY, STATE_PLAY, PHASE_SELECT_QUOTE)
	if err != nil {
		log.ErrorLog(err)
		return
	}

	errRound := gm.setupRound()
	if errRound != nil {
		gm.runFinal()
		return
	}
	gm.notifyClients()
}
