package game

import (
	"sirlab.de/go/knowyt/log"
)

func (gm *Game) StartGame() {
	go gm.runCountdown()
}

func (gm *Game) ResetGame() {
	err := gm.changeGameState(STATE_ANY, STATE_IDLE, PHASE_NONE)
	if err != nil {
		log.ErrorLog(err)
		return
	}

	gm.notifyClients()
}

func (gm *Game) DisableGame() {
	err := gm.changeGameState(STATE_ANY, STATE_DISABLED, PHASE_NONE)
	if err != nil {
		log.ErrorLog(err)
		return
	}

	gm.notifyClients()
}
